package com.link.base.audittrail.controller;

import com.link.base.audittrail.model.AuditTrail;
import com.link.base.audittrail.service.AuditTrailService;
import com.link.base.user.model.CoreUser;
import com.link.core.basic.controller.BasicController;
import com.link.core.basic.service.BasicService;
import com.link.core.basic.service.BasicServiceException;
import com.link.core.util.UserUtil;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/link/auditTrail"})
public class AuditTrailController extends BasicController<AuditTrail> {
   private static final Logger logger = LogManager.getLogger(AuditTrailController.class);
   @Resource
   private AuditTrailService auditTrailService;

   public BasicService<AuditTrail> getBasicService() throws Exception {
      return this.auditTrailService;
   }

   @RequestMapping(
      value = {"/preDefaultValue"},
      method = {RequestMethod.POST},
      produces = {"application/json"}
   )
   @ResponseBody
   public Map<String, Object> preDefaultValue(AuditTrail entity, HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      Map<String, Object> result = new HashMap();

      try {
         AuditTrail newEntity = new AuditTrail();
         CoreUser user = UserUtil.getUser();
         SimpleDateFormat dfFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
         Date myDate = new Date();
         dfFormat.format(myDate);
         newEntity.setUserFirstName(user.getFirstName());
         newEntity.setUserName(user.getUsername());
         result.put("success", true);
         result.put("result", newEntity);
      } catch (Exception var11) {
         Exception e = var11;
         logger.error("PortalAuditTrailController捕获异常: ", e);
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }

   @RequestMapping({"/deleteByIdNew"})
   @ResponseBody
   public Map<String, Object> deleteById(AuditTrail entity, HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      logger.info("删除一条列表信息...");
      Map<String, Object> result = new HashMap();

      try {
         this.beforDelete(entity, request);
         this.checkData(entity, request);
         if (!this.checkExistDataCache("base", session, entity)) {
            throw new BasicServiceException("非法删除数据！");
         }

         this.auditTrailService.deleteById(entity);
         result.put("success", true);
      } catch (Exception var7) {
         Exception e = var7;
         logger.error("PortalAuditTrailController捕获异常: ", e);
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }
}
